#!/bin/sh
# rustic pr (by M. Andreoli, public domain)


case "$1" in
-h)
	echo "(rustic) pciprobe: print PCI device"
	exit
	;;
esac

sleep 1

cat /proc/pci| awk '\
BEGIN	{
	found="no"
	print "PCI device found:"
	}

/Bus.*,.*:/	{ found="yes"; next;}
		{ 
		split($0,field,":");
		if(found=="yes") 
			{found="no";
			printf("%-32s: %s\n", field[1],field[2])
			};

		}

END	{
	}
'
